package com.ejie.ad74a.ws.client.platea.model.ejgvDocument;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Cuerpo de evento de notificación de PLATEA
 * 
 * @author ansanvic
 * 
 */
@XmlRootElement(name = "postalAddress")
@XmlAccessorType(XmlAccessType.FIELD)
public class Ad74aPostalAddress {

	@XmlElement(name = "pais")
	private String pais;
	@XmlElement(name = "direccion")
	private String direccion;
	@XmlElement(name = "localidad")
	private String localidad;
	@XmlElement(name = "municipio")
	private String municipio;

	@XmlElement(name = "provincia")
	private Ad74aProvincia provincia;

	@XmlElement(name = "portal")
	private String portal;
	@XmlElement(name = "escalera")
	private String escalera;
	@XmlElement(name = "piso")
	private String piso;
	@XmlElement(name = "letra")
	private String letra;
	@XmlElement(name = "cp")
	private String cp;

	@XmlElement(name = "codDireccion")
	private String codDireccion;
	@XmlElement(name = "codPortal")
	private String codPortal;

	public String getPais() {
		return pais;
	}

	public void setPais(String pais) {
		this.pais = pais;
	}

	public String getDireccion() {
		return direccion;
	}

	public void setDireccion(String direccion) {
		this.direccion = direccion;
	}

	public String getLocalidad() {
		return localidad;
	}

	public void setLocalidad(String localidad) {
		this.localidad = localidad;
	}

	public String getMunicipio() {
		return municipio;
	}

	public void setMunicipio(String municipio) {
		this.municipio = municipio;
	}

	public Ad74aProvincia getProvincia() {
		return provincia;
	}

	public void setProvincia(Ad74aProvincia provincia) {
		this.provincia = provincia;
	}

	public String getPortal() {
		return portal;
	}

	public void setPortal(String portal) {
		this.portal = portal;
	}

	public String getPiso() {
		return piso;
	}

	public void setPiso(String piso) {
		this.piso = piso;
	}

	public String getLetra() {
		return letra;
	}

	public void setLetra(String letra) {
		this.letra = letra;
	}

	public String getCp() {
		return cp;
	}

	public void setCp(String cp) {
		this.cp = cp;
	}

	public String getCodDireccion() {
		return codDireccion;
	}

	public void setCodDireccion(String codDireccion) {
		this.codDireccion = codDireccion;
	}

	public String getCodPortal() {
		return codPortal;
	}

	public void setCodPortal(String codPortal) {
		this.codPortal = codPortal;
	}

	public String getEscalera() {
		return escalera;
	}

	public void setEscalera(String escalera) {
		this.escalera = escalera;
	}

}
